<?php
/**
 * This file handles front action hooks.
 *
 * @package WkwcAdyen
 * @version 1.0.0
 */

namespace WkwcAdyen\Rest_Api\Includes\Front;

defined( 'ABSPATH' ) || exit;

if ( ! class_exists( 'Wkwc_Adyen_Front_Hook_Handler' ) ) {
	/**
	 * Front hooks
	 */
	class Wkwc_Adyen_Front_Hook_Handler {
		/**
		 * Front hooks
		 */
		public function __construct() {
			$front_function_obj = new Wkwc_Adyen_Front_Function_Handler();
			add_action( 'rest_api_init', array( $front_function_obj, 'wkwc_adyen_register_routes' ) );
		}
	}
}
